[Libreoffice-commits] .: bin/unpack

Tor Lillqvist tml at kemper.freedesktop.org
Thu Oct 28 05:45:44 PDT 2010


 bin/unpack |   52 ++++++++++++++++++++++++++--------------------------
 1 file changed, 26 insertions(+), 26 deletions(-)

New commits:
commit 669a1002cacc42028be8ff0e24d408578154e5e4
Author: Tor Lillqvist <tlillqvist at novell.com>
Date:   Thu Oct 28 15:42:48 2010 +0300

    Look for the Agfa Monotype fonts only for NovellWin32 builds
    
    Add the Agfa Monotype EULA only when we are actually going to include
    that.

diff --git a/bin/unpack b/bin/unpack
index 1740ec3..6c13d39 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -573,32 +573,32 @@ if test "z$BUILD_WIN32" != "z"; then
 	cp $SRCDIR/instmsiw.exe $OOBUILDDIR/external/msi
     fi
 
-    if test -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE; then
-	agfa_md5=`md5sum $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE | cut -d' ' -f1`
-        if test -f $OOBUILDDIR/agfa_monotype_fonts/download/${agfa_md5}-agfa-monotype-fonts.tar.gz; then
-            echo "Already have the Agfa Monotype fonts"
-	else
-	    $echo_n "Installing Agfa Monotype fonts $echo_c"
-	    mkdir -p $OOBUILDDIR/agfa_monotype_fonts/download
-	    cp -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE $OOBUILDDIR/agfa_monotype_fonts/download/${agfa_md5}-agfa-monotype-fonts.tar.gz || exit 1
-	    echo "done"
-        fi
-	if grep 'Agfa Monotype' $OOBUILDDIR/readlicense_oo/html/THIRDPARTYLICENSEREADME.html; then
-	  echo "THIRDPARTYLICENSEREADME.html already contains Agfa Monotype EULA"
-	else
-	  echo "Adding Agfa Monotype EULA to THIRDPARTYLICENSEREADME.html"
-	  $TOOLSDIR/bin/amt-license-patch <$OOBUILDDIR/readlicense_oo/html/THIRDPARTYLICENSEREADME.html >/tmp/amt.$$ &&
-	  mv /tmp/amt.$$ $OOBUILDDIR/readlicense_oo/html/THIRDPARTYLICENSEREADME.html
-	fi
-    else
-        case "$DISTRO" in
-	    NovellWin32*)
-	        echo Missing $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE
-		echo which should always be included when building $DISTRO
-		exit 1
-		;;
-	esac
-    fi
+    case "$DISTRO" in
+        NovellWin32*)
+            if test -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE; then
+                agfa_md5=`md5sum $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE | cut -d' ' -f1`
+                if test -f $OOBUILDDIR/agfa_monotype_fonts/download/${agfa_md5}-agfa-monotype-fonts.tar.gz; then
+                    echo "Already have the Agfa Monotype fonts"
+                else
+                    $echo_n "Installing Agfa Monotype fonts $echo_c"
+                    mkdir -p $OOBUILDDIR/agfa_monotype_fonts/download
+                    cp -f $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE $OOBUILDDIR/agfa_monotype_fonts/download/${agfa_md5}-agfa-monotype-fonts.tar.gz || exit 1
+                    echo "done"
+                fi
+                if grep 'Agfa Monotype' $OOBUILDDIR/readlicense_oo/html/THIRDPARTYLICENSEREADME.html; then
+                  echo "THIRDPARTYLICENSEREADME.html already contains Agfa Monotype EULA"
+                else
+                  echo "Adding Agfa Monotype EULA to THIRDPARTYLICENSEREADME.html"
+                  $TOOLSDIR/bin/amt-license-patch <$OOBUILDDIR/readlicense_oo/html/THIRDPARTYLICENSEREADME.html >/tmp/amt.$$ &&
+                  mv /tmp/amt.$$ $OOBUILDDIR/readlicense_oo/html/THIRDPARTYLICENSEREADME.html
+                fi
+            else
+                echo Missing $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE
+                echo which should always be included when building $DISTRO
+                exit 1
+            fi
+            ;;
+    esac
 
     # Icons.
     # Just plunk them on top of the upstream ones for now. I'm


More information about the Libreoffice-commits mailing list